package com.yiqi.core.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothColor;

import java.util.List;

/**
 * 衣服颜色Service接口
 *
 * @author ruoyi
 * @date 2023-08-03
 */
public interface IClothColorService extends IService<ClothColor> {
    /**
     * 查询衣服颜色
     *
     * @param id 衣服颜色主键
     * @return 衣服颜色
     */
    public ClothColor selectClothColorById(Long id);

    /**
     * 查询衣服颜色列表
     *
     * @param clothColor 衣服颜色
     * @return 衣服颜色集合
     */
    public List<ClothColor> selectClothColorList(ClothColor clothColor);

    /**
     * 新增衣服颜色
     *
     * @param clothColor 衣服颜色
     * @return 结果
     */
    public int insertClothColor(ClothColor clothColor);

    /**
     * 修改衣服颜色
     *
     * @param clothColor 衣服颜色
     * @return 结果
     */
    public int updateClothColor(ClothColor clothColor);

    /**
     * 批量删除衣服颜色
     *
     * @param ids 需要删除的衣服颜色主键集合
     * @return 结果
     */
    public int deleteClothColorByIds(Long[] ids);

    /**
     * 删除衣服颜色信息
     *
     * @param id 衣服颜色主键
     * @return 结果
     */
    public int deleteClothColorById(Long id);

    /**
     * 修改衣服颜色状态
     *
     * @param clothColor 衣服颜色
     * @return 结果
     */
    public int updateColorStatus(ClothColor clothColor);
}
